Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.freemarker.template
Class SetCurrentContainerFMModel

    java.lang.Object
      org.apache.tiles.freemarker.template.SetCurrentContainerFMModel

All Implemented Interfaces:
  freemarker.template.TemplateDirectiveModel, freemarker.template.TemplateModel

    public class SetCurrentContainerFMModel

extends java.lang.Object
implements freemarker.template.TemplateDirectiveModel

Sets the current container, to be used in Tiles templates. Use the "containerKey" parameter to indicate the name of the container to use.

Since:
  2.2.0
Version:
  $Rev: 765386 $ $Date: 2009-04-15 23:56:54 +0200 (mer, 15 apr 2009) $

Field Summary

Fields inherited from interface freemarker.template.TemplateModel
`NOTHING`

Constructor Summary
`SetCurrentContainerFMModel()`

Method Summary
`void` | `execute(freemarker.core.Environment env, java.util.Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetCurrentContainerFMModel

    public SetCurrentContainerFMModel()

Method Detail

### execute

    public void execute(freemarker.core.Environment env,
                        java.util.Map params,
                        freemarker.template.TemplateModel[] loopVars,
                        freemarker.template.TemplateDirectiveBody body)
                 throws freemarker.template.TemplateException,
                        java.io.IOException

  Specified by:
    `execute` in interface `freemarker.template.TemplateDirectiveModel`
  Throws:
    `freemarker.template.TemplateException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.